Bug 1135874 - Review Request: ghc-monad-loops - Monadic loops
Summary: Review Request: ghc-monad-loops - Monadic loops
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Ready
Depends On:
Blocks: 1011349
TreeView+ depends on / blocked
 
Reported: 2014-09-01 05:12 UTC by Jens Petersen
Modified: 2014-10-09 19:53 UTC (History)
3 users (show)

Fixed In Version: ghc-monad-loops-0.4.2.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-27 09:57:08 UTC
Type: ---
relrod: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2014-09-01 05:12:12 UTC
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-monad-loops.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-monad-loops-0.4.2.1-1.fc20.src.rpm

Description:
Some useful control operators for looping.

Comment 1 Jens Petersen 2014-09-01 05:12:14 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7497637

Comment 2 Jens Petersen 2014-09-01 05:42:55 UTC
http://packdeps.haskellers.com/reverse/monad-loops

Comment 3 Rick Elrod 2014-09-12 06:16:35 UTC
APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 245760 bytes in 16 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-monad-loops-0.4.2.1-1.fc20.x86_64.rpm
          ghc-monad-loops-devel-0.4.2.1-1.fc20.x86_64.rpm
          ghc-monad-loops-0.4.2.1-1.fc20.src.rpm
ghc-monad-loops.x86_64: W: spelling-error Summary(en_US) Monadic -> Nomadic, Monodic
ghc-monad-loops.x86_64: W: no-documentation
ghc-monad-loops.src: W: spelling-error Summary(en_US) Monadic -> Nomadic, Monodic
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-monad-loops ghc-monad-loops-devel
ghc-monad-loops.x86_64: W: spelling-error Summary(en_US) Monadic -> Nomadic, Monodic
ghc-monad-loops.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-monad-loops (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-monad-loops-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(monad-loops-0.4.2.1-dc5d8e4880d536cc93c87912f23adb60)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-monad-loops(x86-64)



Provides
--------
ghc-monad-loops:
    ghc(monad-loops-0.4.2.1-dc5d8e4880d536cc93c87912f23adb60)
    ghc-monad-loops
    ghc-monad-loops(x86-64)
    libHSmonad-loops-0.4.2.1-ghc7.6.3.so()(64bit)

ghc-monad-loops-devel:
    ghc-devel(monad-loops-0.4.2.1-dc5d8e4880d536cc93c87912f23adb60)
    ghc-monad-loops-devel
    ghc-monad-loops-devel(x86-64)
    ghc-monad-loops-static



Unversioned so-files
--------------------
ghc-monad-loops: /usr/lib64/ghc-7.6.3/monad-loops-0.4.2.1/libHSmonad-loops-0.4.2.1-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/package/monad-loops-0.4.2.1/monad-loops-0.4.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : a6e888a462aff46297527e90a7bf0171bc2cff4cab073973bdbf2fc09ae5f9b6
  CHECKSUM(SHA256) upstream package : a6e888a462aff46297527e90a7bf0171bc2cff4cab073973bdbf2fc09ae5f9b6


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1135874
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Jens Petersen 2014-09-16 03:51:05 UTC
Thanks for the review


New Package SCM Request
=======================
Package Name: ghc-monad-loops
Short Description: Monadic loops
Upstream URL: http://hackage.haskell.org/package/monad-loops
Owners: petersen codeblock
Branches: f21 f20 f19 epel7
InitialCC: haskell-sig

Comment 5 Jens Petersen 2014-09-17 07:13:24 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-09-19 01:28:55 UTC
ghc-monad-loops-0.4.2.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ghc-monad-loops-0.4.2.1-1.fc21

Comment 7 Fedora Update System 2014-09-19 01:29:01 UTC
ghc-monad-loops-0.4.2.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-monad-loops-0.4.2.1-1.fc20

Comment 8 Fedora Update System 2014-09-19 01:29:09 UTC
ghc-monad-loops-0.4.2.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ghc-monad-loops-0.4.2.1-1.el7

Comment 9 Fedora Update System 2014-09-19 01:29:15 UTC
ghc-monad-loops-0.4.2.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-monad-loops-0.4.2.1-1.fc19

Comment 10 Fedora Update System 2014-09-19 17:46:29 UTC
ghc-monad-loops-0.4.2.1-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 11 Fedora Update System 2014-09-27 09:57:08 UTC
ghc-monad-loops-0.4.2.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2014-10-04 03:31:00 UTC
ghc-monad-loops-0.4.2.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-10-08 19:06:15 UTC
ghc-monad-loops-0.4.2.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 14 Fedora Update System 2014-10-09 19:53:29 UTC
ghc-monad-loops-0.4.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.